@if ($article['offers']['semences'] ?? false)
	@include('Shop.Articles.partials.addBasket', [
		'data' => $article['offers']['semences'],
		'title' => 'Semence',
		'model' => 'semences',
		'bgClass' => 'bg-yellow',
	])
@endif

@if ($article['offers']['plants'] ?? false)
	@include('Shop.Articles.partials.addBasket', [
		'data' => $article['offers']['plants'],
		'title' => 'Plant',
		'model' => 'plants',
		'bgClass' => 'bg-green',
	])
@endif

@if ($article['offers']['legumes'] ?? false)
	@include('Shop.Articles.partials.addBasket', [
		'data' => $article['offers']['legumes'],
		'title' => 'Légume',
		'model' => 'legumes',
	])
@endif

@push('js')
	<script>
		$('.basket').click(function() {
			var type = $(this).data('type');
            var offer_id = $('#' + type + '-offer_id').find('option:selected').val();
            var quantity = $('#' + type + '-quantity').val();
            var data = {
                'offer_id': offer_id,
                'quantity': quantity,
            };

            var buttons = {
				cancel: {
					label: '{{ __('Continuer mes achats') }}',
					className: 'btn-secondary'
				},
				confirm: {
					label: '{{ __('Commander') }}',
					className: 'btn-success',
					callback: function() {
						// submitModal(form_id);
					}
				},
			};

            openModal(
                'Ajout dans le panier',
                'basket-form',
                "{{ route('Shop.Basket.modalBasket') }}/" + offer_id + '/' + quantity,
                "{{ route('Shop.Orders.order') }}",
                false,
                false,
                true,
                buttons,
				"refreshBasketTop()",
            );
        });

        function setPrice(model) {
            var offer_id = $('#' + model + '-offer_id').find('option:selected').val();
            var quantity = $('#' + model + '-quantity').val();
			var data = {
                'offer_id': offer_id,
                'quantity': quantity,
            };
            $.post('{{ route("Shop.Basket.getPrice") }}', data, function(data) {
                $('#' + model + '-price').html(data);
            });
		}

	</script>
@endpush
